## Retry Event

### cURL

```
curl --request POST \
  --url https://api.withflex.com/v1/events/{id}/retry \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "event": {
    "webhook_id": "fwh_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
  }
}
'
```

### Python

```
import requests

url = "https://api.withflex.com/v1/events/{id}/retry"

payload = { "event": { "webhook_id": "fwh_01J9XR8M3K7VZ8N2YB4WJ6T0RA" } }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

### JavaScript

```
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({event: {webhook_id: 'fwh_01J9XR8M3K7VZ8N2YB4WJ6T0RA'}})
};

fetch('https://api.withflex.com/v1/events/{id}/retry', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.withflex.com/v1/events/{id}/retry",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'event' => [
        'webhook_id' => 'fwh_01J9XR8M3K7VZ8N2YB4WJ6T0RA'
    ]
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### Go

```
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

url := "https://api.withflex.com/v1/events/{id}/retry"

payload := strings.NewReader("{\n  \"event\": {\n    \"webhook_id\": \"fwh_01J9XR8M3K7VZ8N2YB4WJ6T0RA\"\n  }\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Java

```
HttpResponse<String> response = Unirest.post("https://api.withflex.com/v1/events/{id}/retry")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"event\": {\n    \"webhook_id\": \"fwh_01J9XR8M3K7VZ8N2YB4WJ6T0RA\"\n  }\n}")
  .asString();
```

### Ruby

```
require 'uri'
require 'net/http'

url = URI("https://api.withflex.com/v1/events/{id}/retry")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"event\": {\n    \"webhook_id\": \"fwh_01J9XR8M3K7VZ8N2YB4WJ6T0RA\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

### Response Codes

- `200`
- `401`
- `403`
- `404`
- `409`
- `422`
- `429`

### Example Response

```json
{
  "event": {
    "event_id": "fevt_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
    "event_type": "account.updated",
    "object": {},
    "test_mode": false,
    "created_at": "2026-06-15T14:30:00Z"
  }
}
```

### Error Responses

```json
{
  "code": "string",
  "detail": "string"
}
```

```json
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}
```

### Headers

#### Authorization

- **Type:** string  
- **In:** header  
- **Required:** Yes

Use a Bearer token to access this API.

#### Path Parameters

- **id** (required): The event ID in a string format. Example: `"fevt_01J9XR8M3K7VZ8N2YB4WJ6T0RA"`

### Body

- **Content-Type:** application/json

An envelope wrapping a single event object. Example:

```json
{
  "event": {
    "webhook_id": "fwh_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
  }
}
```

### Response Format

An envelope wrapping a single event object as shown in example responses.
